org.apache.maven.scm.command

## Interface Command

- All Known Subinterfaces:
    BaseAccuRevCheckOutCommand, CvsCommand, GitCommand, LocalCommand, StarteamCommand, SvnCommand
  All Known Implementing Classes:
    AbstractAddCommand, AbstractBranchCommand, AbstractChangeLogCommand, AbstractCheckInCommand, AbstractCheckOutCommand, AbstractCommand, AbstractCvsAddCommand, AbstractCvsBranchCommand, AbstractCvsChangeLogCommand, AbstractCvsCheckInCommand, AbstractCvsCheckOutCommand, AbstractCvsDiffCommand, AbstractCvsExportCommand, AbstractCvsListCommand, AbstractCvsRemoveCommand, AbstractCvsStatusCommand, AbstractCvsTagCommand, AbstractCvsUpdateCommand, AbstractDiffCommand, AbstractEditCommand, AbstractExportCommand, AbstractFileInfoCommand, AbstractListCommand, AbstractLockCommand, AbstractLoginCommand, AbstractRemoveCommand, AbstractStatusCommand, AbstractTagCommand, AbstractUnEditCommand, AbstractUnlockCommand, AbstractUpdateCommand, AccuRevAddCommand, AccuRevCheckOutUsingPopCommand, AccuRevCheckOutWorkspaceCommand, AccuRevLoginCommand, BazaarAddCommand, BazaarChangeLogCommand, BazaarCheckInCommand, BazaarCheckOutCommand, BazaarDiffCommand, BazaarRemoveCommand, BazaarStatusCommand, BazaarTagCommand, BazaarUpdateCommand, ClearCaseAddCommand, ClearCaseChangeLogCommand, ClearCaseCheckInCommand, ClearCaseCheckOutCommand, ClearCaseEditCommand, ClearCaseRemoveCommand, ClearCaseStatusCommand, ClearCaseTagCommand, ClearCaseUnEditCommand, ClearCaseUpdateCommand, CvsExeAddCommand, CvsExeBranchCommand, CvsExeChangeLogCommand, CvsExeCheckInCommand, CvsExeCheckOutCommand, CvsExeDiffCommand, CvsExeExportCommand, CvsExeListCommand, CvsExeRemoveCommand, CvsExeStatusCommand, CvsExeTagCommand, CvsExeUpdateCommand, CvsJavaAddCommand, CvsJavaBranchCommand, CvsJavaChangeLogCommand, CvsJavaCheckInCommand, CvsJavaCheckOutCommand, CvsJavaDiffCommand, CvsJavaExportCommand, CvsJavaListCommand, CvsJavaLoginCommand, CvsJavaRemoveCommand, CvsJavaStatusCommand, CvsJavaTagCommand, CvsJavaUpdateCommand, CvsLoginCommand, GitAddCommand, GitBranchCommand, GitChangeLogCommand, GitCheckInCommand, GitCheckOutCommand, GitDiffCommand, GitListCommand, GitRemoveCommand, GitStatusCommand, GitTagCommand, GitUpdateCommand, HgAddCommand, HgChangeLogCommand, HgCheckInCommand, HgCheckOutCommand, HgDiffCommand, HgListCommand, HgRemoveCommand, HgStatusCommand, HgTagCommand, HgUpdateCommand, LocalAddCommand, LocalChangeLogCommand, LocalCheckInCommand, LocalCheckOutCommand, LocalListCommand, LocalStatusCommand, LocalTagCommand, LocalUpdateCommand, PerforceAddCommand, PerforceChangeLogCommand, PerforceCheckInCommand, PerforceCheckOutCommand, PerforceDiffCommand, PerforceEditCommand, PerforceInfoCommand, PerforceLoginCommand, PerforceRemoveCommand, PerforceStatusCommand, PerforceTagCommand, PerforceUnEditCommand, PerforceUpdateCommand, StarteamAddCommand, StarteamChangeLogCommand, StarteamCheckInCommand, StarteamCheckOutCommand, StarteamDiffCommand, StarteamEditCommand, StarteamRemoveCommand, StarteamStatusCommand, StarteamTagCommand, StarteamUnEditCommand, StarteamUpdateCommand, SvnAddCommand, SvnBranchCommand, SvnChangeLogCommand, SvnCheckInCommand, SvnCheckOutCommand, SvnDiffCommand, SvnExeExportCommand, SvnInfoCommand, SvnListCommand, SvnRemoveCommand, SvnStatusCommand, SvnTagCommand, SvnUpdateCommand, SynergyAddCommand, SynergyChangeLogCommand, SynergyCheckInCommand, SynergyCheckOutCommand, SynergyEditCommand, SynergyRemoveCommand, SynergyStatusCommand, SynergyTagCommand, SynergyUnEditCommand, SynergyUpdateCommand, TfsAddCommand, TfsBranchCommand, TfsChangeLogCommand, TfsCheckInCommand, TfsCheckOutCommand, TfsEditCommand, TfsListCommand, TfsStatusCommand, TfsTagCommand, TfsUnEditCommand, TfsUpdateCommand

      public interface Command

  Version:
    $Id: Command.java 685539 2008-08-13 13:27:27Z vsiveton $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROLE` Plexus component key

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScmResult` | `execute(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `ScmLogger` | `getLogger()`
    `void` | `setLogger(ScmLogger logger)`

- - ### Field Detail

    - #### ROLE

          static final String ROLE

      Plexus component key

  - ### Method Detail

    - #### execute

          ScmResult execute(ScmProviderRepository repository,
                          ScmFileSet fileSet,
                          CommandParameters parameters)
                            throws ScmException

      Parameters:
        `repository` - not null
        `fileSet` - not null
        `parameters` - could be null
      Returns:
        the result object
      Throws:
        `ScmException` - if any

    - #### setLogger

          void setLogger(ScmLogger logger)

      Parameters:
        `logger` - not null

    - #### getLogger

          ScmLogger getLogger()

      Returns:
        the current logger

Copyright © 2003–2015. All rights reserved.